[GH-ISSUE #1964] already exist module=artifactcache #940

Closed
opened 2026-03-01 21:47:36 +03:00 by kerem · 3 comments
Owner

Originally created by @john-front on GitHub (Aug 13, 2023).
Original GitHub issue: https://github.com/nektos/act/issues/1964

Bug report info

act --bug-report
act version:            0.2.49
GOOS:                   linux
GOARCH:                 amd64
NumCPU:                 8
Docker host:            DOCKER_HOST environment variable is not set
Sockets found:
	/var/run/docker.sock
Config files:           
	/home/sudip/.actrc:
		-P ubuntu-latest=catthehacker/ubuntu:act-latest
		-P ubuntu-22.04=catthehacker/ubuntu:act-22.04
		-P ubuntu-20.04=catthehacker/ubuntu:act-20.04
		-P ubuntu-18.04=catthehacker/ubuntu:act-18.04
Build info:
	Go version:            go1.20.6
	Module path:           github.com/nektos/act
	Main version:          (devel)
	Main path:             github.com/nektos/act
	Main checksum:         
	Build settings:
		-buildmode:           exe
		-compiler:            gc
		-ldflags:             -s -w -X main.version=0.2.49 -X main.commit=d5d854854651c151ecd914bb6e2e370e0057929a -X main.date=2023-08-01T02:21:56Z -X main.builtBy=goreleaser
		CGO_ENABLED:          0
		GOARCH:               amd64
		GOOS:                 linux
		GOAMD64:              v1
		vcs:                  git
		vcs.revision:         d5d854854651c151ecd914bb6e2e370e0057929a
		vcs.time:             2023-08-01T02:21:38Z
		vcs.modified:         false
Docker Engine:
	Engine version:        20.10.25
	Engine runtime:        runc
	Cgroup version:        2
	Cgroup driver:         systemd
	Storage driver:        overlay2
	Registry URI:          https://index.docker.io/v1/
	OS:                    Ubuntu 22.04.3 LTS
	OS type:               linux
	OS version:            22.04
	OS arch:               x86_64
	OS kernel:             6.3.7-060307-generic
	OS CPU:                8
	OS memory:             15857 MB
	Security options:
		name=apparmor
		name=seccomp,profile=default
		name=cgroupns

Command used with act

act -v

Describe issue

ISSUE:
When trying to run github action using "act" or "act" locally, I got this: already exist module=artifactcache error? What is this? and why is occuring? Shouldn't it simply use it or relace it instead of throwing error and halting the process?

No response

Workflow content

name: Unit Tests
'on':
  pull_request: null
  push:
    branches:
      - main
  workflow_dispatch: null
jobs:
  test-php:
    name: >-
      PHP ${{ matrix.php }}${{ matrix.multisite && ' multisite' || '' }}${{
      matrix.wordpress != '' && format( ' (WP {0}) ', matrix.wordpress ) || ''
      }} on ubuntu-latest
    runs-on: ubuntu-latest
    timeout-minutes: 20
    strategy:
      fail-fast: true
      matrix:
          php:
              - '8.2'
          multisite: [false]
          wordpress: [''] # Latest WordPress version.

    env:
      WP_ENV_PHP_VERSION: '${{ matrix.php }}'
      WP_ENV_CORE: >-
        ${{ matrix.wordpress == '' && 'WordPress/WordPress' || format(
        'https://wordpress.org/wordpress-{0}.zip', matrix.wordpress ) }}
    steps:
      - uses: actions/checkout@c85c95e3d7251135ab7dc9ce3241c5835cc595a9
      - name: Setup Node.js and install dependencies
        uses: ./.github/setup-node
      - name: Set up PHP
        uses: shivammathur/setup-php@4bd44f22a98a19e0950cbad5f31095157cc9621b
        with:
          php-version: '${{ matrix.php }}'
          ini-file: development
          coverage: none
      - name: Override PHP version in composer.json
        run: 'composer config platform.php ${{ matrix.php }}'
      - name: Remove incompatible Composer packages
        if: '${{ matrix.php < ''7.2'' }}'
        run: composer remove spatie/phpunit-watcher --dev --no-update
      - name: Install Composer dependencies
        uses: ramsey/composer-install@83af392bf5f031813d25e6fe4cd626cdba9a2df6
        with:
          custom-cache-suffix: $(/bin/date -u --date='last Mon' "+%F")
      - name: Docker debug information
        run: |
          docker -v
          docker-compose -v
      - name: General debug information
        run: |
          npm --version
          node --version
          curl --version
          git --version
          svn --version
          locale -a
      - name: Start Docker environment
        run: npm run wp-env start
      - name: Log running Docker containers
        run: docker ps -a
      - name: Docker container debug information
        run: >
          npm run wp-env run tests-mysql mysql -- --version

          npm run wp-env run tests-wordpress php -- --version

          npm run wp-env run tests-wordpress php -m

          npm run wp-env run tests-wordpress php -i

          npm run wp-env run tests-wordpress
          /var/www/html/wp-content/plugins/gutenberg/vendor/bin/phpunit --
          --version

          npm run wp-env run tests-wordpress locale -a
      - name: Running single site unit tests
        if: '${{ ! matrix.multisite }}'
        run: |
          set -o pipefail
          npm run test:unit:php | tee phpunit.log
      - name: Running single site e2e tests
        if: '${{ ! matrix.multisite }}'
        run: |
          set -o pipefail
          npx playwright install
          npm run test:e2e | tee e2e.log
      - name: Check number of passed tests
        run: |
          # Note: relies on PHPUnit execution to fail on test failure.
          # Extract the number of executed tests from the log file.
          if ! num_tests=$(grep -Eo 'OK \([0-9]+ tests' phpunit.log) ; then
            if ! num_tests=$(grep -Eo 'Tests: [0-9]+, Assertions:' phpunit.log) ; then
              echo "PHPUnit failed or did not run. Check the PHPUnit output in the previous step to debug." && exit 1
            fi
          fi
          # Extract just the number of tests from the string.
          num_tests=$(echo "$num_tests" | grep -Eo '[0-9]+')
          if [ $num_tests -lt 500 ] ; then
            echo "Only $num_tests tests passed, which is much fewer than expected." && exit 1
          fi
          echo "$num_tests tests passed."

Relevant log output

[DEBUG] expression 'success()' evaluated to 'true'
[Unit Tests/PHP 8.2 on ubuntu-latest] ⭐ Run Post Use desired version of Node.js
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/outputcmd.txt len:0
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/statecmd.txt len:0
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/pathcmd.txt len:0
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/envs.txt len:0
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/SUMMARY.md len:0
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Extracting content to '/var/run/act'
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] run post step for 'Use desired version of Node.js'
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] executing remote job container: [node /var/run/act/actions/actions-setup-node@64ed1c7eab4cce3362f8c340dee64e5eaeef8f7c/dist/cache-save/index.js]
[Unit Tests/PHP 8.2 on ubuntu-latest]   🐳  docker exec cmd=[node /var/run/act/actions/actions-setup-node@64ed1c7eab4cce3362f8c340dee64e5eaeef8f7c/dist/cache-save/index.js] user= workdir=
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Exec command '[node /var/run/act/actions/actions-setup-node@64ed1c7eab4cce3362f8c340dee64e5eaeef8f7c/dist/cache-save/index.js]'
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Working directory '/home/sudip/myplugin'
| [command]/opt/hostedtoolcache/node/16.20.2/x64/bin/npm config get cache
| /root/.npm
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::npm path is /root/.npm
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::Checking zstd --version
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::*** zstd command line interface 64-bits v1.4.8, by Yann Collet ***
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::implicitDescendants 'false'
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::followSymbolicLinks 'true'
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::implicitDescendants 'false'
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::omitBrokenSymbolicLinks 'true'
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::Search path '/root/.npm'
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::Matched: ../../../root/.npm
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::Cache Paths:
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::["../../../root/.npm"]
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::Archive Path: /tmp/74753225-9380-4d1b-b6e5-3c9ed3229119/cache.tzst
| [command]/usr/bin/tar --posix --use-compress-program zstdmt -cf cache.tzst --exclude cache.tzst -P -C /home/sudip/myplugin --files-from manifest.txt
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::File Size: 42769271
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::Reserving Cache
[Unit Tests/PHP 8.2 on ubuntu-latest]   💬  ::debug::Resource Url: http://192.168.10.72:35425/_apis/artifactcache/caches
DEBU[0130] POST /_apis/artifactcache/caches              module=artifactcache
ERRO[0130] POST /_apis/artifactcache/caches: already exist  module=artifactcache
DEBU[0130] skip gc: 2023-08-13 18:29:16.695008627 +0545 +0545 m=+0.009692641  module=artifactcache
[Unit Tests/PHP 8.2 on ubuntu-latest]   🚧  ::warning::Failed to save: {"error":"already exist"}
[Unit Tests/PHP 8.2 on ubuntu-latest]   ✅  Success - Post Use desired version of Node.js
[Unit Tests/PHP 8.2 on ubuntu-latest]   ✅  Success - Post Setup Node.js and install dependencies
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] skipping post step for 'actions/checkout@c85c95e3d7251135ab7dc9ce3241c5835cc595a9': no action model available
[Unit Tests/PHP 8.2 on ubuntu-latest] 🏁  Job failed
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Loading revision from git directory
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Found revision: db2dc67fc2ed110e3a3ecf99261867ad9a10de72
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] HEAD points to 'db2dc67fc2ed110e3a3ecf99261867ad9a10de72'
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] using github ref: refs/heads/without-actions
[Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Found revision: db2dc67fc2ed110e3a3ecf99261867ad9a10de72
Error: Job 'PHP ${{ matrix.php }}${{ matrix.multisite && ' multisite' || '' }}${{ matrix.wordpress != '' && format( ' (WP {0}) ', matrix.wordpress ) || '' }} on ubuntu-latest' failed

Additional information

No response

Originally created by @john-front on GitHub (Aug 13, 2023). Original GitHub issue: https://github.com/nektos/act/issues/1964 ### Bug report info ```plain text act --bug-report act version: 0.2.49 GOOS: linux GOARCH: amd64 NumCPU: 8 Docker host: DOCKER_HOST environment variable is not set Sockets found: /var/run/docker.sock Config files: /home/sudip/.actrc: -P ubuntu-latest=catthehacker/ubuntu:act-latest -P ubuntu-22.04=catthehacker/ubuntu:act-22.04 -P ubuntu-20.04=catthehacker/ubuntu:act-20.04 -P ubuntu-18.04=catthehacker/ubuntu:act-18.04 Build info: Go version: go1.20.6 Module path: github.com/nektos/act Main version: (devel) Main path: github.com/nektos/act Main checksum: Build settings: -buildmode: exe -compiler: gc -ldflags: -s -w -X main.version=0.2.49 -X main.commit=d5d854854651c151ecd914bb6e2e370e0057929a -X main.date=2023-08-01T02:21:56Z -X main.builtBy=goreleaser CGO_ENABLED: 0 GOARCH: amd64 GOOS: linux GOAMD64: v1 vcs: git vcs.revision: d5d854854651c151ecd914bb6e2e370e0057929a vcs.time: 2023-08-01T02:21:38Z vcs.modified: false Docker Engine: Engine version: 20.10.25 Engine runtime: runc Cgroup version: 2 Cgroup driver: systemd Storage driver: overlay2 Registry URI: https://index.docker.io/v1/ OS: Ubuntu 22.04.3 LTS OS type: linux OS version: 22.04 OS arch: x86_64 OS kernel: 6.3.7-060307-generic OS CPU: 8 OS memory: 15857 MB Security options: name=apparmor name=seccomp,profile=default name=cgroupns ``` ### Command used with act ```sh act -v ``` ### Describe issue ISSUE: When trying to run github action using "act" or "act" locally, I got this: already exist module=artifactcache error? What is this? and why is occuring? Shouldn't it simply use it or relace it instead of throwing error and halting the process? ### Link to GitHub repository _No response_ ### Workflow content ```yml name: Unit Tests 'on': pull_request: null push: branches: - main workflow_dispatch: null jobs: test-php: name: >- PHP ${{ matrix.php }}${{ matrix.multisite && ' multisite' || '' }}${{ matrix.wordpress != '' && format( ' (WP {0}) ', matrix.wordpress ) || '' }} on ubuntu-latest runs-on: ubuntu-latest timeout-minutes: 20 strategy: fail-fast: true matrix: php: - '8.2' multisite: [false] wordpress: [''] # Latest WordPress version. env: WP_ENV_PHP_VERSION: '${{ matrix.php }}' WP_ENV_CORE: >- ${{ matrix.wordpress == '' && 'WordPress/WordPress' || format( 'https://wordpress.org/wordpress-{0}.zip', matrix.wordpress ) }} steps: - uses: actions/checkout@c85c95e3d7251135ab7dc9ce3241c5835cc595a9 - name: Setup Node.js and install dependencies uses: ./.github/setup-node - name: Set up PHP uses: shivammathur/setup-php@4bd44f22a98a19e0950cbad5f31095157cc9621b with: php-version: '${{ matrix.php }}' ini-file: development coverage: none - name: Override PHP version in composer.json run: 'composer config platform.php ${{ matrix.php }}' - name: Remove incompatible Composer packages if: '${{ matrix.php < ''7.2'' }}' run: composer remove spatie/phpunit-watcher --dev --no-update - name: Install Composer dependencies uses: ramsey/composer-install@83af392bf5f031813d25e6fe4cd626cdba9a2df6 with: custom-cache-suffix: $(/bin/date -u --date='last Mon' "+%F") - name: Docker debug information run: | docker -v docker-compose -v - name: General debug information run: | npm --version node --version curl --version git --version svn --version locale -a - name: Start Docker environment run: npm run wp-env start - name: Log running Docker containers run: docker ps -a - name: Docker container debug information run: > npm run wp-env run tests-mysql mysql -- --version npm run wp-env run tests-wordpress php -- --version npm run wp-env run tests-wordpress php -m npm run wp-env run tests-wordpress php -i npm run wp-env run tests-wordpress /var/www/html/wp-content/plugins/gutenberg/vendor/bin/phpunit -- --version npm run wp-env run tests-wordpress locale -a - name: Running single site unit tests if: '${{ ! matrix.multisite }}' run: | set -o pipefail npm run test:unit:php | tee phpunit.log - name: Running single site e2e tests if: '${{ ! matrix.multisite }}' run: | set -o pipefail npx playwright install npm run test:e2e | tee e2e.log - name: Check number of passed tests run: | # Note: relies on PHPUnit execution to fail on test failure. # Extract the number of executed tests from the log file. if ! num_tests=$(grep -Eo 'OK \([0-9]+ tests' phpunit.log) ; then if ! num_tests=$(grep -Eo 'Tests: [0-9]+, Assertions:' phpunit.log) ; then echo "PHPUnit failed or did not run. Check the PHPUnit output in the previous step to debug." && exit 1 fi fi # Extract just the number of tests from the string. num_tests=$(echo "$num_tests" | grep -Eo '[0-9]+') if [ $num_tests -lt 500 ] ; then echo "Only $num_tests tests passed, which is much fewer than expected." && exit 1 fi echo "$num_tests tests passed." ``` ### Relevant log output ```sh [DEBUG] expression 'success()' evaluated to 'true' [Unit Tests/PHP 8.2 on ubuntu-latest] ⭐ Run Post Use desired version of Node.js [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/outputcmd.txt len:0 [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/statecmd.txt len:0 [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/pathcmd.txt len:0 [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/envs.txt len:0 [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Writing entry to tarball workflow/SUMMARY.md len:0 [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Extracting content to '/var/run/act' [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] run post step for 'Use desired version of Node.js' [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] executing remote job container: [node /var/run/act/actions/actions-setup-node@64ed1c7eab4cce3362f8c340dee64e5eaeef8f7c/dist/cache-save/index.js] [Unit Tests/PHP 8.2 on ubuntu-latest] 🐳 docker exec cmd=[node /var/run/act/actions/actions-setup-node@64ed1c7eab4cce3362f8c340dee64e5eaeef8f7c/dist/cache-save/index.js] user= workdir= [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Exec command '[node /var/run/act/actions/actions-setup-node@64ed1c7eab4cce3362f8c340dee64e5eaeef8f7c/dist/cache-save/index.js]' [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Working directory '/home/sudip/myplugin' | [command]/opt/hostedtoolcache/node/16.20.2/x64/bin/npm config get cache | /root/.npm [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::npm path is /root/.npm [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::Checking zstd --version [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::*** zstd command line interface 64-bits v1.4.8, by Yann Collet *** [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::implicitDescendants 'false' [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::followSymbolicLinks 'true' [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::implicitDescendants 'false' [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::omitBrokenSymbolicLinks 'true' [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::Search path '/root/.npm' [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::Matched: ../../../root/.npm [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::Cache Paths: [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::["../../../root/.npm"] [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::Archive Path: /tmp/74753225-9380-4d1b-b6e5-3c9ed3229119/cache.tzst | [command]/usr/bin/tar --posix --use-compress-program zstdmt -cf cache.tzst --exclude cache.tzst -P -C /home/sudip/myplugin --files-from manifest.txt [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::File Size: 42769271 [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::Reserving Cache [Unit Tests/PHP 8.2 on ubuntu-latest] 💬 ::debug::Resource Url: http://192.168.10.72:35425/_apis/artifactcache/caches DEBU[0130] POST /_apis/artifactcache/caches module=artifactcache ERRO[0130] POST /_apis/artifactcache/caches: already exist module=artifactcache DEBU[0130] skip gc: 2023-08-13 18:29:16.695008627 +0545 +0545 m=+0.009692641 module=artifactcache [Unit Tests/PHP 8.2 on ubuntu-latest] 🚧 ::warning::Failed to save: {"error":"already exist"} [Unit Tests/PHP 8.2 on ubuntu-latest] ✅ Success - Post Use desired version of Node.js [Unit Tests/PHP 8.2 on ubuntu-latest] ✅ Success - Post Setup Node.js and install dependencies [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] skipping post step for 'actions/checkout@c85c95e3d7251135ab7dc9ce3241c5835cc595a9': no action model available [Unit Tests/PHP 8.2 on ubuntu-latest] 🏁 Job failed [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Loading revision from git directory [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Found revision: db2dc67fc2ed110e3a3ecf99261867ad9a10de72 [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] HEAD points to 'db2dc67fc2ed110e3a3ecf99261867ad9a10de72' [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] using github ref: refs/heads/without-actions [Unit Tests/PHP 8.2 on ubuntu-latest] [DEBUG] Found revision: db2dc67fc2ed110e3a3ecf99261867ad9a10de72 Error: Job 'PHP ${{ matrix.php }}${{ matrix.multisite && ' multisite' || '' }}${{ matrix.wordpress != '' && format( ' (WP {0}) ', matrix.wordpress ) || '' }} on ubuntu-latest' failed ``` ### Additional information _No response_
kerem 2026-03-01 21:47:36 +03:00
Author
Owner

@github-actions[bot] commented on GitHub (Feb 10, 2024):

Issue is stale and will be closed in 14 days unless there is new activity

<!-- gh-comment-id:1936759240 --> @github-actions[bot] commented on GitHub (Feb 10, 2024): Issue is stale and will be closed in 14 days unless there is new activity
Author
Owner

@corvus-migratorius commented on GitHub (Apr 23, 2024):

I'm also facing this issue. Please reopen =)

<!-- gh-comment-id:2073247791 --> @corvus-migratorius commented on GitHub (Apr 23, 2024): I'm also facing this issue. Please reopen =)
Author
Owner

@jhg03a commented on GitHub (Dec 12, 2024):

I hit it as well

<!-- gh-comment-id:2539737168 --> @jhg03a commented on GitHub (Dec 12, 2024): I hit it as well
Sign in to join this conversation.
No milestone
No project
No assignees
1 participant
Notifications
Due date
The due date is invalid or out of range. Please use the format "yyyy-mm-dd".

No due date set.

Dependencies

No dependencies set.

Reference
starred/act#940
No description provided.